commit 9ae8613607b12257e1fe59c603119bc5d4cd3474
Author: Daniel Golle <daniel@makrotopia.org>
Date:   Fri Apr 5 00:39:56 2024 +0100

    Debug: use difftime()

diff --git a/src/src/transports/smtp.c b/src/src/transports/smtp.c
index a5f99edaa..ddd6ad7e1 100644
--- a/src/src/transports/smtp.c
+++ b/src/src/transports/smtp.c
@@ -945,7 +945,8 @@ if (  sx->early_pipe_active
     if (!(er = dbfn_read_enforce_length(dbm_file, ehlo_resp_key, sizeof(dbdata_ehlo_resp))))
       debug_printf("no ehlo-resp record!\n");
     else
-      debug_printf("ehlo-resp record is %d seconds old\n", time(NULL) - er->time_stamp);
+      debug_printf("ehlo-resp record is %.0f seconds old\n",
+		    difftime(time(NULL), er->time_stamp));
     }
 
   dbfn_delete(dbm_file, ehlo_resp_key);

